<?php
require("../../../config/koneksi.php");
require("../../../config/function.php");
require("../../../config/crud.php");

(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'tambah_manual') {
$bulan = date('m');
if($bulan=='01'){
{$hapus='03';}
}elseif($bulan=='02'){
{$hapus='04';}
}elseif($bulan=='03'){
{$hapus='05';}
}elseif($bulan=='04'){
{$hapus='06';}
}elseif($bulan=='05'){
{$hapus='07';}
}elseif($bulan=='06'){
{$hapus='08';}
}elseif($bulan=='07'){
{$hapus='09';}
}elseif($bulan=='08'){
{$hapus='10';}
}elseif($bulan=='09'){
{$hapus='11';}
}elseif($bulan=='10'){
{$hapus='12';}
}elseif($bulan=='11'){
{$hapus='01';}
}elseif($bulan=='12'){
{$hapus='02';}
}
$ket = $_POST['edis'];
$idj = $_POST['idj'];
$ids = $_POST['ids'];
$blth = $_POST['blth'];
$tahun = $_POST['tahun'];
$kelas = $_POST['kelas'];
$jml_data = count($_POST['idj']);
for ($i=0; $i <= $jml_data; $i++){
   $exec = mysqli_query($koneksi,"INSERT INTO absen_mapel(tanggal,idjadwal,ket,idsiswa,hapus,blth,tahun) VALUES ('".date('Y-m-d')."','".$idj[$i]."','".$ket[$i]."','".$ids[$i]."','".$hapus."','".$blth[$i]."','".$tahun[$i]."')");
  if($exec){
	  $cek = rowcount($koneksi, 'absensi', ['tanggal' => $tanggal,'idsiswa'=>'".$ids[$i]."']);
    if ($cek > 0) { 
	   $exec = mysqli_query($koneksi,"UPDATE absensi SET ket='".$ket[$i]."' WHERE idsiswa='".$ids[$i]."' ");
	  } else {
            $exec = mysqli_query($koneksi,"INSERT INTO absensi(tanggal,ket,idsiswa,hapus,blth,tahun,kelas) VALUES ('".date('Y-m-d')."','".$ket[$i]."','".$ids[$i]."','".$hapus."','".$blth[$i]."','".$tahun[$i]."','".$kelas[$i]."')");
            echo $exec;
			delete($koneksi,'absen_mapel',['idsiswa'=>0]);
			delete($koneksi,'absensi',['idsiswa'=>0]);
        }
	  echo"ok";
  }
           
        }
    
}

if ($pg == 'ubah_hadir') {

$ket = $_POST['edis'];
$idj = $_POST['idj'];
$ids = $_POST['ids'];
$jml_data = count($_POST['idj']);
for ($i=0; $i <= $jml_data; $i++){
$exec = mysqli_query($koneksi,"UPDATE absen_mapel SET ket='".$ket[$i]."' WHERE idsiswa='".$ids[$i]."' ");
$exec = mysqli_query($koneksi,"UPDATE absensi SET ket='".$ket[$i]."' WHERE idsiswa='".$ids[$i]."' ");
	  } 
    
}
if ($pg == 'guru_manual') {
$idpeg = $_POST['idpeg'];
$tanggal = $_POST['tanggal'];
$ket = $_POST['ket'];				

$data = [
'tanggal' => $tanggal,
'idguru' => $idpeg,
'ket' => $ket,
'blth' => date('m'),
'jam_masuk'=>date('H:i:s'),
'tahun'=>date('Y')
];
  $cekuser = rowcount($koneksi, 'absensi', ['tanggal' => $tanggal,'idguru'=>$idpeg]);
    if ($cekuser > 0) {
		
        echo"gagal";
        } else {
            $exec = insert($koneksi, 'absensi', $data);
            echo"OK";
        }
    }
	
if ($pg == 'tambah_rfid') {
$kartu = $_POST['nokartu'];
$tanggal = $_POST['tanggal'];
$ket = $_POST['ket'];				

$data = [
'idguru'=>$_POST['idpeg'],
'tanggal' => $tanggal,
'nokartu' => $kartu,
'ket' => $ket,
'blth' => date('m-Y')
];
  $cekuser = rowcount($koneksi, 'absensi', ['tanggal' => $tanggal,'nokartu'=>$kartu]);
    if ($cekuser > 0) {
		
        
        } else {
            $exec = insert($koneksi, 'absensi', $data);
            echo $exec;
        }
    }
	if ($pg == 'ambilkartu') {
    $idpeg = $_POST['idpeg'];
    $sql = mysqli_query($koneksi, "SELECT * FROM datarfid WHERE idpeg='" . $idpeg . "'");
    while ($data = mysqli_fetch_array($sql)) {
        echo "<option value='$data[nokartu]'>$data[nokartu]</option>";
    }
}